%global namedreltag .Beta2
%global namedversion %{version}%{?namedreltag}

Name:           jboss-remoting-jmx
Version:        2.0.0
Release:        %mkrel 0.3%{namedreltag}.2
Summary:        JMX via JBoss Remoting
Group:          Development/Java
License:        LGPLv2+
URL:            http://www.jboss.org/
Source0:        https://github.com/jbossas/remoting-jmx/archive/%{namedversion}.tar.gz

BuildRequires: jboss-parent
BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-injection-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-dependency-plugin
BuildRequires: maven-ear-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-ejb-plugin
BuildRequires: jboss-logging
BuildRequires: jboss-logging-tools
BuildRequires: jboss-logmanager
BuildRequires: jboss-marshalling
BuildRequires: jboss-remoting >= 3.2.2-1
BuildRequires: jboss-sasl
BuildRequires: xnio

BuildArch:     noarch

%description
Library for making JMX accessible using Remoting

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n remoting-jmx-%{namedversion}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc COPYING.txt
%doc README

%files javadoc -f .mfiles-javadoc
%doc COPYING.txt



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-0.3.Beta2.2.mga4
+ Revision: 541954
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 2.0.0-0.3.Beta2.1.mga4
+ Revision: 496592
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-5.mga3
+ Revision: 355156
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Fix buildrequires

* Sun Jun 24 2012 dmorgan <dmorgan> 1.0.2-1.mga3
+ Revision: 263194
- New version 1.0.2

  + gil <gil>
    - imported package jboss-remoting-jmx

